## cairo-dock 3.3.0

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock")
set (VERSION "3.3.0")

add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED MODULE1) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=OFF" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-module-config.h$;/gldi-config.h$;/doc/;/misc/;~$;/TODO$;.pyc$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

set (prefix ${CMAKE_INSTALL_PREFIX})  # /usr/local
set (exec_prefix ${prefix})
set (datadir "${prefix}/${CMAKE_INSTALL_DATAROOTDIR}")  # (...)/share
set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND (force-lib64 OR "${FORCE_LIB64}" STREQUAL "yes"))  # 64bits and force install in lib64
	set (libdir "${prefix}/lib64")
elseif (NOT "${LIB_SUFFIX}" STREQUAL "")
	set (libdir "${prefix}/lib${LIB_SUFFIX}")  # (...)/libXX ## some distro use ${LIB_SUFFIX}
else()
	set (libdir "${prefix}/${CMAKE_INSTALL_LIBDIR}")  # (...)/lib or (...)/lib64 or custom ## GNU Install dir
endif()

set (includedir "${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")  # (...)/include
set (bindir "${prefix}/${CMAKE_INSTALL_BINDIR}")  # (...)/bin

set (pluginsdir "${libdir}/cairo-dock")
set (pluginsdatadir "${pkgdatadir}/plug-ins")
if (NOT DEFINED install-pc-path)
	set (install-pc-path "${libdir}/pkgconfig")  # it can be different (for example ${CMAKE_INSTALL_PREFIX}/libdata/pkgconfig on BSD)
endif ()

########### dependencies ###############

# check for mendatory dependencies
set (packages_required "glib-2.0 gthread-2.0 cairo librsvg-2.0 dbus-1 dbus-glib-1 libxml-2.0 gl glu libcurl")  # for the .pc and to have details
STRING (REGEX REPLACE " " ";" packages_required_semicolon ${packages_required})  # replace blank space by semicolon => to have more details if a package is missing
pkg_check_modules ("PACKAGE" REQUIRED "${packages_required_semicolon}")

set (with_x11 no)
set (with_xentend no)
enable_if_not_defined (enable-x11-support) # enabled by default
if (enable-x11-support)
	# check for X11
	set (x11_required "x11")  # for the .pc
	pkg_check_modules ("X11" ${x11_required})
	if (X11_FOUND)
		set (HAVE_X11 1)
		set (with_x11 yes)
	else()
		set (x11_required)
	endif()
	
	# check for GLX
	check_library_exists (GL glXMakeCurrent "" HAVE_GLX)  # HAVE_GLX remains undefined if not found, else it's "1"
	
	# check for X extensions
	set (xextend_required "xtst xcomposite xrandr xrender")  # for the .pc
	STRING (REGEX REPLACE " " ";" xextend_required_semicolon ${xextend_required})
	pkg_check_modules ("XEXTEND" "${xextend_required_semicolon}")
	
	if (XEXTEND_FOUND)
		set (HAVE_XEXTEND 1)
		set (with_xentend yes)
		
		pkg_check_modules ("XINERAMA" "xinerama")  # check for Xinerama separately, since it is now replaced by Xrandr >= 1.3
		if (XINERAMA_FOUND)
			set (HAVE_XINERAMA 1)
		endif()
	else()
		set (xextend_required)
	endif()
endif()

if (NOT force-gtk2)  # by default, we use GTK+3 except if we force the use of GTK+2
	set (gtk_required "gtk+-3.0")  # for the .pc
	pkg_check_modules ("GTK" "${gtk_required}")  # the check is not set as 'required' because we can use GTK+2 if GTK+3 isn't available
endif()

if (NOT GTK_FOUND)
	set (gtk_required "gtk+-2.0")  # for the .pc
	pkg_check_modules ("GTK" REQUIRED "${gtk_required}")  # the check is requiered this time because we need GTK anyway.
endif()

STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")
STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GTK_MINOR "${GTK_VERSION}")  # 3.8.2 => 3.8
STRING (REGEX REPLACE "\\.[0-9]*" "" GTK_MINOR "${GTK_MINOR}") # 3.8 => 8

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")
# add_definitions (-DG_DISABLE_DEPRECATED="1")

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (HAVE_LIBCRYPT)
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
check_include_files ("math.h" HAVE_MATH_H)
check_library_exists (m sin "" HAVE_LIBM)
if (NOT HAVE_LIBM OR NOT HAVE_MATH_H)
	message(FATAL_ERROR "Cairo-Dock requires math.h")
endif()

check_include_files ("dlfcn.h" HAVE_DLFCN_H)
check_library_exists (dl dlopen "" HAVE_LIBDL)
if (HAVE_LIBDL)  # dlopen might be in libc directly as in FreeBSD
	set (LIBDL_LIBRARIES "dl")
endif()
if (NOT HAVE_DLFCN_H)
	message(FATAL_ERROR "Cairo-Dock requires dlfcn.h")
endif()

check_library_exists (intl libintl_gettext "" HAVE_LIBINTL)
if (HAVE_LIBINTL)  # on BSD, we have to link to libintl to be able to use gettext.
	set (LIBINTL_LIBRARIES "intl")
endif()


########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (CAIRO_DOCK_THEMES_DIR "themes")  # folder name where themes are saved locally, relatively to the root folder of Cairo-Dock.
set (CAIRO_DOCK_DISTANT_THEMES_DIR "themes3.3")  # folder name where themes are on the server, relatively to the root folder of the server files.
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
set (GLDI_MODULES_DIR ${pluginsdir})
set (GLDI_BIN_DIR ${bindir})

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

############# HELP #################
# this is actually a plug-in for cairo-dock, not for gldi
# it uses some functions of cairo-dock (they are binded dynamically), that's why it can't go with other plug-ins
set (GETTEXT_HELP ${GETTEXT_PACKAGE})
set (VERSION_HELP "0.9.994")
set (PACKAGE_HELP "cd-Help")
set (helpdatadir "${pluginsdatadir}/Help")
set (dock_version "${VERSION}")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Help/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Help/data/Help.conf)
add_subdirectory (Help)

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-module-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-module-config.h)  # separated from gldi-config.h because it's architecture-dependant (it contains $libdir), so it can't be installed in /usr/include without causing a conflict between 32 and 64 bits packages.
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

################# Summary #################

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock ${VERSION} will be compiled with the following options:")
MESSAGE (STATUS " * Installation in    : ${prefix}")
MESSAGE (STATUS " * Lib directory      : ${libdir}")
MESSAGE (STATUS " * GTK version        : ${GTK_MAJOR} (${GTK_VERSION})")
MESSAGE (STATUS " * With X11 support   : ${with_x11}")
MESSAGE (STATUS " * With X11 extensions: ${with_xentend} (${xextend_required})")
if (HAVE_GLX)
	MESSAGE (STATUS " * With GLX support   : yes")
else()
	MESSAGE (STATUS " * With GLX support   : no")
endif()
if (HAVE_LIBCRYPT)
	MESSAGE (STATUS " * Crypt passwords    : yes")
else()
	MESSAGE (STATUS " * Crypt passwords    : no")
endif()
if (enable-desktop-manager)
	set (with_cd_session "yes")
else()
	set (with_cd_session "no (use '-Denable-desktop-manager=ON' to enable it)")
endif()
MESSAGE (STATUS " * Cairo-dock session : ${with_cd_session}")
MESSAGE (STATUS " * Themes directory   : ${CAIRO_DOCK_DISTANT_THEMES_DIR} (on the server)")
MESSAGE (STATUS)

=== data/desktop-manager/CMakeLists.txt ===
# (we assume GTK and Gnome-Session are using the same version)
if (${GTK_MAJOR} LESS 3 OR (${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} LESS 8)) # GTK < 3.8
	add_subdirectory(gnome-session-3.0)
else()
	add_subdirectory(gnome-session-3.8)
endif()

install (FILES cairo-dock-session
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
cairo-dock (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Desklets: when something is dropped onto a desklet, get the data and
      not only the text
    - Dialogs: fixed a bug that made the background of the widgets inside
      the dialog visible
    - Menus: split menus functions into separated files to prepare future
      menus and imported gtkimagemenuitem.c but only used with GTK 3.10
      Note: no changes for Saucy (with GTK 3.8)
    - src: remove some g_print's
    - po: imported translations from Launchpad
  * A few bugs have been fixed:
    - Invalid fastbin entry LP: #1212981
    - Cairo-Dock Session is broken with Gnome-Session 3.8 LP: #1193598
    - Dock doesn't hide when a Downloading windows overlaps LP: #1094825
    - Thumbnails of windows not showing when minimized LP: #1051174
    - Icon label persists after hover away LP: #1108611
    - Insecure RPATH in libgldi.so LP: #1170229
    - Dock becames visible although it should be hidden LP: #1218360
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 04 Oct 2013 14:58:22 +0200

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 8.1.3),
               libcairo2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev | libgl-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libxcomposite-dev,
               libxrandr-dev,
               libxml2-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Depends: cairo-dock-core (>= ${source:Version}),
         cairo-dock-plug-ins (>= 3.3.0),
         cairo-dock-plug-ins-dbus-interface-python (>= 3.3.0),
         cairo-dock-plug-ins-integration (>= 3.3.0),
         ${misc:Depends}
Description: Light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment.

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0)
Depends: cairo-dock-data (>= ${source:Version}),
         libgldi3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cairo-dock,
            cairo-dock-plug-ins,
            compiz-plugins | e17 | kde-window-manager | openbox | xfwm4 | mutter
Suggests: compiz-plugins, gnome-session
Description: Light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: libgldi-dev
Section: libdevel
Architecture: any
Depends: libcairo2-dev,
         libcurl4-gnutls-dev,
         libdbus-glib-1-dev,
         libgl1-mesa-dev | libgl-dev,
         libgldi3 (= ${binary:Version}),
         libglib2.0-dev,
         libglu1-mesa-dev | libglu-dev,
         libgtk-3-dev,
         libpango1.0-dev,
         librsvg2-dev,
         libxcomposite-dev,
         libxrandr-dev,
         libxml2-dev,
         libxrender-dev,
         libxtst-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0)
Depends: ${misc:Depends}
Description: Light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

Package: libgldi3
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0), cairo-dock-core (<< 3.0.0)
Breaks: cairo-dock-core (<< 3.0.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cairo-dock-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (lib package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains the library created and used by the Cairo-Dock project.

## cairo-dock 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.3.0")
+set (VERSION "3.3.1")
 
 add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)

=== debian/changelog ===
cairo-dock (3.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.0 -> 3.3.1)
    - GLX backend: with GTK2, use the GDK default display for all glx
      functions (without that, the dock is fully transparent)
    - Docks: the input shape was incorrectly set at startup
    - Menu: show the menu-items before popping the menu up, so that they
      are realized (as before)
    - Launchers: Updated our .desktop file with the latest translations
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 08 Oct 2013 18:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
 Architecture: all
 Conflicts: cairo-dock (<= 2.0.8.0)
 Depends: cairo-dock-core (>= ${source:Version}),
-         cairo-dock-plug-ins (>= 3.3.0),
-         cairo-dock-plug-ins-dbus-interface-python (>= 3.3.0),
-         cairo-dock-plug-ins-integration (>= 3.3.0),
+         cairo-dock-plug-ins (>= 3.3.1),
+         cairo-dock-plug-ins-dbus-interface-python (>= 3.3.1),
+         cairo-dock-plug-ins-integration (>= 3.3.1),
          ${misc:Depends}
 Description: Light and eye-candy dock to launch your programs (metapackage)
  Cairo-Dock is a pretty, light and convenient interface to your desktop,

## cairo-dock 3.3.2

=== src/gldit/CMakeLists.txt ===

SET(core_lib_SRCS
	cairo-dock-struct.h
	cairo-dock-global-variables.h 
	cairo-dock-core.c 					cairo-dock-core.h
	cairo-dock-manager.c 				cairo-dock-manager.h
	cairo-dock-object.c 				cairo-dock-object.h
	# icons
	cairo-dock-icon-manager.c 			cairo-dock-icon-manager.h
	cairo-dock-icon-factory.c 			cairo-dock-icon-factory.h
	cairo-dock-icon-facility.c 			cairo-dock-icon-facility.h
	cairo-dock-indicator-manager.c 		cairo-dock-indicator-manager.h
	cairo-dock-applications-manager.c 	cairo-dock-applications-manager.h
	cairo-dock-application-facility.c 	cairo-dock-application-facility.h
	cairo-dock-launcher-manager.c 		cairo-dock-launcher-manager.h
	cairo-dock-stack-icon-manager.c 	cairo-dock-stack-icon-manager.h
	cairo-dock-class-icon-manager.c 	cairo-dock-class-icon-manager.h
	cairo-dock-user-icon-manager.c 		cairo-dock-user-icon-manager.h
	cairo-dock-applet-manager.c 		cairo-dock-applet-manager.h
	cairo-dock-applet-facility.c 		cairo-dock-applet-facility.h
	cairo-dock-separator-manager.c 		cairo-dock-separator-manager.h
	cairo-dock-module-manager.c 		cairo-dock-module-manager.h
	cairo-dock-module-instance-manager.c cairo-dock-module-instance-manager.h
	# containers
	cairo-dock-container.c 				cairo-dock-container.h
	cairo-dock-desklet-manager.c 		cairo-dock-desklet-manager.h
	cairo-dock-desklet-factory.c 		cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.c 		cairo-dock-dialog-factory.h
	cairo-dock-dialog-manager.c 		cairo-dock-dialog-manager.h
	cairo-dock-flying-container.c 		cairo-dock-flying-container.h
	cairo-dock-dock-manager.c 			cairo-dock-dock-manager.h
	cairo-dock-dock-factory.c 			cairo-dock-dock-factory.h
	cairo-dock-dock-facility.c 			cairo-dock-dock-facility.h
	cairo-dock-dock-visibility.c 		cairo-dock-dock-visibility.h
	cairo-dock-animations.c 			cairo-dock-animations.h
	cairo-dock-backends-manager.c 		cairo-dock-backends-manager.h
	cairo-dock-data-renderer.c 			cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.c 	cairo-dock-data-renderer-manager.h
	cairo-dock-file-manager.c 			cairo-dock-file-manager.h
	cairo-dock-themes-manager.c 		cairo-dock-themes-manager.h
	cairo-dock-class-manager.c 			cairo-dock-class-manager.h
	cairo-dock-desktop-manager.c		cairo-dock-desktop-manager.h
	cairo-dock-windows-manager.c		cairo-dock-windows-manager.h
	cairo-dock-image-buffer.c			cairo-dock-image-buffer.h 
	cairo-dock-opengl.c 				cairo-dock-opengl.h
	cairo-dock-opengl-path.c 			cairo-dock-opengl-path.h
	cairo-dock-opengl-font.c 			cairo-dock-opengl-font.h
	cairo-dock-surface-factory.c 		cairo-dock-surface-factory.h
	cairo-dock-draw.c 					cairo-dock-draw.h 
	cairo-dock-draw-opengl.c 			cairo-dock-draw-opengl.h
	# utilities
	cairo-dock-log.c 					cairo-dock-log.h
	cairo-dock-gui-manager.c 			cairo-dock-gui-manager.h
	cairo-dock-gui-factory.c 			cairo-dock-gui-factory.h
	eggaccelerators.c 					eggaccelerators.h
	cairo-dock-keybinder.c 				cairo-dock-keybinder.h
	cairo-dock-dbus.c 					cairo-dock-dbus.h 
	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
	cairo-dock-packages.c 				cairo-dock-packages.h
	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
	cairo-dock-overlay.c 				cairo-dock-overlay.h
	cairo-dock-task.c 					cairo-dock-task.h
	cairo-dock-config.c 				cairo-dock-config.h
	cairo-dock-utils.c 					cairo-dock-utils.h
	cairo-dock-menu.c 					cairo-dock-menu.h
	texture-gradation.h
	texture-blur.h
)

# Gtk > 3.8
if (${GTK_MAJOR} GREATER 3 OR (${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} GREATER 8))
	LIST(APPEND core_lib_SRCS gtk3imagemenuitem.c gtk3imagemenuitem.h)
endif()

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${XINERAMA_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${XINERAMA_LIBRARY_DIRS})

# Define the library
add_library ("gldi" SHARED ${core_lib_SRCS})
STRING (REGEX REPLACE "\\..*" "" SOVERSION "${VERSION}")
set_target_properties ("gldi" PROPERTIES
	# create *nix style library versions + symbolic links
	VERSION ${VERSION}
	SOVERSION ${SOVERSION}
	# allow creating static and shared libs without conflicts
	#CLEAN_DIRECT_OUTPUT 1
	# avoid conflicts between library and binary target names
	#OUTPUT_NAME ${PROJECT_NAME}
)

# Link the result to the librairies.
target_link_libraries("gldi"
	${PACKAGE_LIBRARIES}
	${GTK_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${XINERAMA_LIBRARIES}
	${LIBCRYPT_LIBS}
	implementations
	${LIBDL_LIBRARIES})


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gldi.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc DESTINATION ${install-pc-path})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${VERSION} DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${SOVERSION} DESTINATION ${libdir})

########### install files ###############

install(FILES cairo-dock.h DESTINATION ${includedir}/cairo-dock)
install(FILES
	cairo-dock-struct.h 			cairo-dock-global-variables.h
	gldi-config.h  # gldi-module-config.h doesn't need to be installed
	cairo-dock-core.h			cairo-dock-manager.h
	cairo-dock-object.h
	cairo-dock-icon-factory.h		cairo-dock-icon-manager.h
	cairo-dock-icon-facility.h
	cairo-dock-applications-manager.h 	cairo-dock-launcher-manager.h
	cairo-dock-separator-manager.h 		cairo-dock-applet-manager.h
	cairo-dock-stack-icon-manager.h			cairo-dock-user-icon-manager.h
	cairo-dock-class-icon-manager.h
	cairo-dock-backends-manager.h
	
	cairo-dock-packages.h
	cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.h
	cairo-dock-dock-manager.h		
	cairo-dock-desklet-manager.h
	cairo-dock-dialog-manager.h
	cairo-dock-indicator-manager.h
	cairo-dock-themes-manager.h
	cairo-dock-gui-manager.h
	cairo-dock-file-manager.h
	cairo-dock-desktop-manager.h
	cairo-dock-windows-manager.h
	cairo-dock-class-manager.h
	cairo-dock-opengl.h
	cairo-dock-image-buffer.h
	cairo-dock-config.h
	cairo-dock-module-manager.h
	cairo-dock-module-instance-manager.h
	cairo-dock-container.h
	cairo-dock-dock-factory.h
	cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.h
	cairo-dock-flying-container.h
	
	cairo-dock-applet-multi-instance.h 	cairo-dock-applet-single-instance.h
	cairo-dock-applet-canvas.h			cairo-dock-applet-facility.h
	
	cairo-dock-draw.h					cairo-dock-draw-opengl.h
	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
	cairo-dock-particle-system.h		cairo-dock-overlay.h
	cairo-dock-dbus.h
	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
	cairo-dock-log.h					cairo-dock-keybinder.h
	cairo-dock-application-facility.h	cairo-dock-dock-facility.h
	cairo-dock-task.h
	cairo-dock-animations.h
	cairo-dock-gui-factory.h
	cairo-dock-menu.h
	cairo-dock-utils.h
	
	DESTINATION ${includedir}/cairo-dock/gldit)

if (disable-gtk-grip)
	add_definitions (-DENABLE_GTK_GRIP=1)
endif()

=== debian/changelog ===
cairo-dock (3.3.2-1) unstable; urgency=low

  * Imported Upstream version 3.3.2

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Nov 2013 13:12:09 +0900

cairo-dock (3.3.1-1) unstable; urgency=low

  * Imported Upstream version 3.3.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Oct 2013 10:18:17 +0900

cairo-dock (3.2.1-1) unstable; urgency=low

  * Imported Upstream version 3.2.1
  * Drop pangox dependencies. (Closes: #701881, #712356)
  * Drop obsolete DEB_COMPRESS_EXCLUDE
  * Refresh patches
  * Enable multiarch support
  * Update copyright: copyright year, URI of format/1.0
  * Use canonical Vcs field
  * Fix lintian warning: copyright-refers-to-symlink-license

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 29 Jun 2013 17:24:43 +0900

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, quilt, debhelper (>= 7), dpkg-dev (>= 1.16.1~),
	cmake (>= 2.8.0), autotools-dev, intltool, pkg-config,
	libcairo2-dev | libcairo-dev,
	libcurl4-gnutls-dev,
	libdbus-glib-1-dev,
	libgl1-mesa-dev | libgl-dev,
	libglib2.0-dev,
	libglu1-mesa-dev | libglu-dev,
	libgtk-3-dev,
	libpango1.0-dev,
	librsvg2-dev,
	libxcomposite-dev,
	libxrandr-dev,
	libxml2-dev,
	libxrender-dev,
	libxtst-dev
Standards-Version: 3.9.4
Homepage: http://www.glx-dock.org/
Vcs-Git: git://anonscm.debian.org/pkg-cairo-dock/cairo-dock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cairo-dock/cairo-dock.git;a=summary

Package: cairo-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plug-ins (>= 3.1.1)
Description: Metapackage for cairo-dock
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This is metapackage that provides the components necessary for running
 Cairo-dock. This installs a cairo-dock-core application and cairo-dock-plugins
 package easily.
 .
 And Cairo-dock installs cairo-dock-core and plugins and makes sense as
 Cairo-dock.

Package: cairo-dock-core
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cairo-dock (<= 2.1.3.5-2)
Replaces: cairo-dock (<= 2.1.3.5-2)
Provides: cairo-dock
Suggests: xcompmgr, empathy, f-spot, gcalctool, gimp, inkscape
Recommends: cairo-dock-plugins (>= 2.1.3.10), curl
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock-core application.

Package: cairo-dock-dev
Section: devel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
Description: Cairo-dock develpment file
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock development file.

## cairo-dock 3.3.99.beta1.2.really.3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.3.1")
+set (VERSION "3.3.2")
 
 add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)

=== data/icons/CMakeLists.txt ===

########### install files ###############

install (FILES
	# lib
	cairo-dock-ok.svg
	cairo-dock-cancel.svg
	default-class-indicator.svg
	default-icon.svg
	default-icon-appli.svg
	default-indicator.png
	depth-rotate-desklet.svg
	no-input-desklet.png
	retach-desklet.svg
	rotate-desklet.svg
	theme-distant.svg
	theme-local.svg
	theme-new.svg
	theme-updated.svg
	theme-user.svg
	# implementations
	box-back.png
	box-front.png
	# appli
	balloons.png
	cairo-dock-animated.xpm
	icon-accessories.svg
	icon-all.svg
	icon-appearance.svg
	icon-background.svg
	icon-behavior.svg
	icon-bubble.png
	icon-buttons.png
	icon-close.svg
	icon-connection.svg
	icon-controler.svg
	icon-desklets.png
	icon-desktop.svg
	icon-dialogs.svg
	icon-extensions.svg
	icon-files.svg
	icon-frame.png
	icon-fun.svg
	icon-gradation.png
	icon-hidden-dock.svg
	icon-icons.svg
	icon-indicators.svg
	icon-internet.svg
	icon-labels.svg
	icon-lock-icons.svg
	icon-lower.svg
	icon-maximize.svg
	icon-minimize.svg
	icon-mouse.svg
	icon-movment.png
	icon-plug-ins.svg
	icon-position.svg
	icon-restore.svg
	icon-subdock.png
	icon-system.svg
	icon-taskbar.png
	icon-views.svg
	icon-visibility.svg
	icon-wave.png
	DESTINATION ${pkgdatadir}/icons )

=== src/implementations/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gauge.c                   cairo-dock-gauge.h
	cairo-dock-graph.c                   cairo-dock-graph.h
	cairo-dock-progressbar.c             cairo-dock-progressbar.h
	cairo-dock-hiding-effect.c           cairo-dock-hiding-effect.h
	cairo-dock-icon-container.c          cairo-dock-icon-container.h
	cairo-dock-default-view.c            cairo-dock-default-view.h
	cairo-dock-compiz-integration.c      cairo-dock-compiz-integration.h
	cairo-dock-kwin-integration.c        cairo-dock-kwin-integration.h
	cairo-dock-gnome-shell-integration.c cairo-dock-gnome-shell-integration.h
	cairo-dock-cinnamon-integration.c    cairo-dock-cinnamon-integration.h
	cairo-dock-X-manager.c               cairo-dock-X-manager.h
	cairo-dock-X-utilities.c             cairo-dock-X-utilities.h
	cairo-dock-glx.c                     cairo-dock-glx.h
)
#if ("${HAVE_X11}")
#	SET(impl_SRCS ${impl_SRCS}
#		cairo-dock-X-manager.c               cairo-dock-X-manager.h
#		cairo-dock-glx.c                     cairo-dock-glx.h
#	)
#endif()

add_library(implementations STATIC ${impl_SRCS})
add_definitions (-fPIC)
add_definitions (-DSHARE_DATA_DIR="${pkgdatadir}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/implementations)

########### install files ###############

install (FILES
	cairo-dock-gauge.h
	cairo-dock-graph.h
	cairo-dock-progressbar.h
	DESTINATION ${includedir}/cairo-dock/implementations)  # thoses are needed to expose the attributes of the data-renderers to the plug-ins.

=== data/themes/default-theme/CMakeLists.txt ===
add_subdirectory(launchers)
add_subdirectory(plug-ins)
add_subdirectory(images)

########### install files ###############

install(FILES
	cairo-dock.conf
	preview
	readme
	DESTINATION ${pkgdatadir}/themes/Default-Single )

=== data/themes/default-theme-panel/plug-ins/Messaging-Menu/CMakeLists.txt ===
install (FILES Messaging-Menu.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/Messaging-Menu )

=== data/themes/default-theme/plug-ins/rendering/CMakeLists.txt ===

########### install files ###############

install(FILES  rendering.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/rendering )

=== debian/changelog ===
cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2) trusty; urgency=medium

  * debian/control:
    - gnome-session is no longer by default on Ubuntu and we need it for
      the Cairo-Dock session
    - Added support of Mate and Cinnamon

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 07 Apr 2014 23:47:42 +0200

cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to the 3.3.2 version: (LP: #1302246)
    Unfortunately, due to the lack of time, we have to revert back to the
    latest stable version. Sorry for that but feel free to help us ;-)
  * debian/patches: cherry-pick patches from upstream BZR repo, all 'bug-fix'
    and changes that were already in the 3.3.99.beta1 version except all
    changes linked to the new style, the menu and the configuration.
    - bzr1670_Default_themes_Disable_icon-effects.patch: Default themes:
      disable icon-effects: maybe a bit 'too much' for the current trend
    - bzr1684_Utils_Added_get_default_terminal.patch: Utils: Added:
      'get_default_terminal()' to get the default terminal.
    - bzr1708-1709_Utils_Cmd_with_right_terminal_and_theme_packager_support_
      and_exception_for_konsole.patch: Utils: Cmd with right terminal: added
      an exception for 'konsole'. Theme: Pkg: Cmd: used simple quotes instead
      of double quotes in the second cmd
    - bzr1714_change_default_img_dir_to_Images_dir_in_home.patch: GUI: widget:
      file chooser: images: default directory is now ~/Images
    - bzr1715-1716_File_Mgr_added_the_possibility_to_monitor_a_process.patch:
      File Mgr: added the possibility to monitor a process
    - bzr1719_unblacklist_intel_hd4000.patch: GLX: blacklist Intel HD4000:
      this bug is now fixed when using Mesa 10.1
    - bzr1720_gsettings_can_have_quotes.patch: style: handle the case where
      font_name in gsettings has quotes
  * debian/patches/session_desktopname_Unity.patch: Switch DesktopName to
    Unity to also take advantage of patches added in some GNOME apps and
    specially made for Unity to avoid some behaviour designed only for
    Gnome-Shell (e.g. Nautilus, indicators, etc.).
  * debian/control: bumped Plugins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 06 Apr 2014 23:45:58 +0200

cairo-dock (3.3.99.beta1.1~20140219~bzr1717-0ubuntu2) trusty; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Style: unified the style for all objects.
    - Menu: added the possibility to customise them
    - Config: updated some sections linked to the style
    - API:
      - Updated functions about the style
      - Added new features about PID monitoring
    - Some bugs have been fixed, other tweaks
  * debian/control:
    - bumped plug-ins versions (+ fixed typo)
    - bumped Standard Version (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 20 Feb 2014 00:23:22 +0100

cairo-dock (3.3.2-0ubuntu2) trusty; urgency=low

  * No change: Rebuild for the new version of GTK

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 10 Dec 2013 22:54:12 +0100

cairo-dock (3.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.1 -> 3.3.2)
    - Class: implemented a workaround for Chromium and Google Chrome web apps
    - Docks: fixed 2 bugs when reloading a dock: when changing the
      visibility from 'keep hidden' to 'hide when overlapping a window'
      and when changing the offset from the screen edges
    - Launching animation: don't stop it when the dock hides itself
    - Menus: correctly setup the menu during its init
    - Taskbar:
      - Fixed a regression when the application changes its class
      - Removed 'opening animation' option: now in plugins (Animated-Icons
        and Icon-effect)
    - Translations: imported translations from Launchpad
  * debian/control:
    - bumped plug-ins versions
    - bumped Standards-Version to 3.9.4 (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 10 Nov 2013 23:49:32 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-desktop-manager=ON \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_BUILD_PARALLEL = yes

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack
